package ru.dbotthepony.kstarbound.client.gl.vertex

import ru.dbotthepony.kstarbound.client.gl.GLType

enum class VertexAttributeType(val type: GLType) {
	POSITION(GLType.VEC3F),
	TEXTURE_INDEX(GLType.FLOAT),
	COLOR(GLType.VEC4F),
	UV(GLType.VEC2F),
	HUE_SHIFT(GLType.FLOAT)
}
